org.omg.CORBA.TypeCodePackage

## Class BadKind

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.TypeCodePackage.BadKind

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class BadKind
    extends UserException

The exception `BadKind` is thrown when an inappropriate operation is invoked on a `TypeCode` object. For example, invoking the method `discriminator_type()` on an instance of `TypeCode` that does not represent an IDL union will cause the exception `BadKind` to be thrown.

Since:
  JDK1.2
See Also:
  `TypeCode`

### Constructor Summary

Constructors
Constructor and Description
`BadKind()` Constructs a `BadKind` exception with no reason message.
`BadKind(String reason)` Constructs a `BadKind` exception with the specified reason message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BadKind

    public BadKind()

Constructs a `BadKind` exception with no reason message.

#### BadKind

    public BadKind(String reason)

Constructs a `BadKind` exception with the specified reason message.

Parameters:
  `reason` - the String containing a reason message

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.